Đến nội dung


Hình ảnh

Hỏi cách tính chièu dài dây dẫn trong autocad


  • Please log in to reply
5 replies to this topic

#1 anhphongvjc

anhphongvjc

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 October 2010 - 09:50 PM

Chào tất cả mọi người hôm nay mình vấn đề hóc búa nhờ mọi người giúp. Mình đang vẽ điện cho một ngôi nhà, giờ mình vẽ xong rồi nhưng không biết tính chiều dài dây dẫn trong autocad như thế nào, các bạn ai biết cách chỉ dùm mình với mình đang dùng cad-e 2008. Rất mong mọi người giúp đỡ
  • 0

#2 HONGDUY70

HONGDUY70

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 October 2010 - 10:41 AM

Chào tất cả mọi người hôm nay mình vấn đề hóc búa nhờ mọi người giúp. Mình đang vẽ điện cho một ngôi nhà, giờ mình vẽ xong rồi nhưng không biết tính chiều dài dây dẫn trong autocad như thế nào, các bạn ai biết cách chỉ dùm mình với mình đang dùng cad-e 2008. Rất mong mọi người giúp đỡ


bạn dọc cái này http://www.cadviet.c...3/calline_1.zip
  • 0

#3 xyz.thaco

xyz.thaco

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 November 2010 - 10:27 PM

bạn dọc cái này http://www.cadviet.c...3/calline_1.zip

mình dọc ko được j ca
ko biet xem nó băng file j ca
  • 0

#4 tski259

tski259

    biết vẽ pline

  • Members
  • PipPip
  • 66 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 25 February 2011 - 03:24 PM

Tính chiều dài dây dẫn có như tính chiều dài đường thẳng(line,spline,pline) ko vậy bạn?.Nếu là tính chiều dài đường thẳng thi dùng lệnh Li hay autolisp tính chiều dài đường thẳng là được mà.
;-----------------------tinh chieu dai duong thang theo ti le hien hanh ( tt )----------------------------
(defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))
;;;--------------------------------------------------------------------
(defun C:TT( / ss L e)
(setq
ss (ssget (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))
L 0.0
k (getvar "dimlfac")
)
(vl-load-com)
(while (setq e (ssname ss 0))
(setq L (+ L (length1 e)))
(ssdel e ss)
)
(setq L1 (* k L))
(progn
(setq p (getpoint "\n Chon diem nhap ket qua" ))
(command "text" p 2.5 "0" (rtos L1 2 2))
)
)
(ssdel e ss)
)
(princ)
)

  • 0

#5 tamgiao1987

tamgiao1987

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 03 July 2012 - 11:20 AM

Bạn cứ vẽ theo đường dây cáp cấp nguồn, vẽ hết trên mặt bằng nhé, sau đó dùng lisp tính tổng chiều dài ( tl hay tt gì đó) thì ra được tổng rồi tính cáp lên xuống tủ điện, lên xuống công tắc, đèn qua đèn. Đơn giản mà bạn.
  • 1

#6 trucvan

trucvan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 July 2012 - 09:46 AM

Bạn cứ vẽ theo đường dây cáp cấp nguồn, vẽ hết trên mặt bằng nhé, sau đó dùng lisp tính tổng chiều dài ( tl hay tt gì đó) thì ra được tổng rồi tính cáp lên xuống tủ điện, lên xuống công tắc, đèn qua đèn. Đơn giản mà bạn.

Bác có thể nói rõ hơn dc ko, cách tính từ a>z, nếu có ví dụ minh họa nữa thì hay nhất ah. thank.
  • 0